# $Revision: 1.5 $, $Date: 2011/10/15 06:18:01 $
Summary:	Userspace driver for the Chelsio T3 iWARP RNIC
Summary(pl.UTF-8):	Sterownik przestrzeni użytkownika dla kart Chelsio T3 iWARP RNIC
Name:		libibverbs-driver-cxgb3
Version:	1.3.1
Release:	1
License:	BSD or GPL v2
Group:		Libraries
Source0:	http://www.openfabrics.org/downloads/cxgb3/libcxgb3-%{version}.tar.gz
# Source0-md5:	2a0929159acdd9d69da91e2fb2b746da
URL:		http://openib.org/
BuildRequires:	libibverbs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
libcxgb3 is a userspace driver for the Chelsio T3 iWARP RNIC. It works
as a plug-in module for libibverbs that allows programs to use Chelsio
RNICs directly from userspace.

%description -l pl.UTF-8
libcxgb3 to sterownik przestrzeni użytkownika dla kart Chelsio T3
iWARP RNIC. Działa jako moduł ładowany przez libibverbs, pozwalający
programom na dostęp z przestrzeni użytkownika do interfejsów RNIC
Chelsio.

%package static
Summary:	Static version of cxgb3 driver
Summary(pl.UTF-8):	Statyczna wersja sterownika cxgb3
Group:		Development/Libraries
Requires:	libibverbs-static

%description static
Static version of cxgb3 driver, which may be linked directly into
application.

%description static -l pl.UTF-8
Statyczna wersja sterownika cxgb3, którą można wbudować bezpośrednio w
aplikację.

%prep
%setup -q -n libcxgb3-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# dlopened by -rmav2.so name
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcxgb3.{so,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libcxgb3-rdmav2.so
%{_sysconfdir}/libibverbs.d/cxgb3.driver

%files static
%defattr(644,root,root,755)
%{_libdir}/libcxgb3.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libibverbs-driver-cxgb3.spec,v $
Revision 1.5  2011/10/15 06:18:01  qboosh
- updated 1.3.1

Revision 1.4  2011/01/28 02:59:47  sparky
- avoid g++ requirement

Revision 1.3  2010/11/14 07:54:43  qboosh
- updated to 1.3.0

Revision 1.2  2010/09/10 05:10:40  qboosh
- changelog cleanup

Revision 1.1  2010/09/09 05:19:56  qboosh
- new, an example of packaging libibverbs driver
